> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krdata.pl/llms.txt
> Use this file to discover all available pages before exploring further.

# Analiza ryzyka podmiotu

> Pełny profil ryzyka spółki - osiem niezależnych kontroli liczonych na żywo: `address` (koncentracja podmiotów pod jednym adresem i udział firm nieaktywnych), `capital` (kapitał zakładowy względem skali przychodów), `debts` (dział 4 KRS - zaległości podatkowe, ZUS i celne, wierzytelności z tytułem wykonawczym, umorzone egzekucje, oddalenie wniosku o upadłość), `filings` (terminowość składania sprawozdań finansowych względem terminu ustawowego), `knf` (wpisy na liście ostrzeżeń publicznych KNF), `krz` (postępowania podmiotu w Krajowym Rejestrze Zadłużonych), `pkd` (kody działalności o podwyższonym ryzyku AML) oraz `uokik` (decyzje Prezesa UOKiK). Blok `summary` zawiera zbiorczy poziom (`level`), liczbę kontroli z sygnałem (`flagged_count`) i mapę poziomów per kontrola (`levels`) - wystarcza do przesiewu bez analizy szczegółów. Każdy sygnał ma ten sam nagłówek: `level` (`none`, `info`, `elevated`) i `flags`. Uwaga: dział 4 KRS zawiera wyłącznie wpisy bieżące - są usuwane po wygaśnięciu zobowiązania lub z urzędu po 7 latach, więc `"level": "none"` oznacza brak otwartych wpisów, a nie czystą historię. Parametry `sample_size` i `sample_offset` stronicują listę podmiotów pod tym samym adresem. Wymaga planu Pro lub wyższego. Wywołanie = 1 jednostka **wspólnej puli zapytań**.



## OpenAPI

````yaml /openapi.json get /v1/risk/company/{krs}
openapi: 3.1.0
info:
  title: krdata API
  description: >

    krdata udostępnia dane z polskich rejestrów gospodarczych (KRS, CRBR, KRZ,
    MSiG, RDF, biała lista VAT)

    w postaci jednego, spójnego API.


    Uwierzytelnianie odbywa się przez klucz API przekazywany w nagłówku
    `x-api-key`.

    Limity zapytań oraz pule (RDF, PDF, WPV, raporty) wynikają z wybranego
    abonamentu —

    szczegóły zwraca endpoint `GET /v1/usage/summary`.
  version: 0.1.0
servers:
  - url: https://api.krdata.pl
    description: Production
security: []
paths:
  /v1/risk/company/{krs}:
    get:
      tags:
        - Ryzyko
      summary: Analiza ryzyka podmiotu
      description: >-
        Pełny profil ryzyka spółki - osiem niezależnych kontroli liczonych na
        żywo: `address` (koncentracja podmiotów pod jednym adresem i udział firm
        nieaktywnych), `capital` (kapitał zakładowy względem skali przychodów),
        `debts` (dział 4 KRS - zaległości podatkowe, ZUS i celne, wierzytelności
        z tytułem wykonawczym, umorzone egzekucje, oddalenie wniosku o
        upadłość), `filings` (terminowość składania sprawozdań finansowych
        względem terminu ustawowego), `knf` (wpisy na liście ostrzeżeń
        publicznych KNF), `krz` (postępowania podmiotu w Krajowym Rejestrze
        Zadłużonych), `pkd` (kody działalności o podwyższonym ryzyku AML) oraz
        `uokik` (decyzje Prezesa UOKiK). Blok `summary` zawiera zbiorczy poziom
        (`level`), liczbę kontroli z sygnałem (`flagged_count`) i mapę poziomów
        per kontrola (`levels`) - wystarcza do przesiewu bez analizy szczegółów.
        Każdy sygnał ma ten sam nagłówek: `level` (`none`, `info`, `elevated`) i
        `flags`. Uwaga: dział 4 KRS zawiera wyłącznie wpisy bieżące - są usuwane
        po wygaśnięciu zobowiązania lub z urzędu po 7 latach, więc `"level":
        "none"` oznacza brak otwartych wpisów, a nie czystą historię. Parametry
        `sample_size` i `sample_offset` stronicują listę podmiotów pod tym samym
        adresem. Wymaga planu Pro lub wyższego. Wywołanie = 1 jednostka
        **wspólnej puli zapytań**.
      operationId: risk-company
      parameters:
        - name: krs
          in: path
          required: true
          schema:
            type: string
            minLength: 10
            maxLength: 10
            pattern: ^\d{10}$
            title: Krs
        - name: sample_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 0
            description: Colocated companies in the address sample
            default: 10
            title: Sample Size
          description: Colocated companies in the address sample
        - name: sample_offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Sample Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanyRiskResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    CompanyRiskResponse:
      properties:
        krs:
          type: string
          title: Krs
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
        checked_at:
          type: string
          format: date-time
          title: Checked At
        summary:
          $ref: '#/components/schemas/RiskSummary'
        signals:
          $ref: '#/components/schemas/CompanyRiskSignals'
      type: object
      required:
        - krs
        - name
        - status
        - checked_at
        - summary
        - signals
      title: CompanyRiskResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RiskSummary:
      properties:
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flagged_count:
          type: integer
          title: Flagged Count
        checks_total:
          type: integer
          title: Checks Total
          default: 8
        levels:
          additionalProperties:
            type: string
            enum:
              - none
              - info
              - elevated
          type: object
          title: Levels
      type: object
      required:
        - level
        - flagged_count
        - levels
      title: RiskSummary
    CompanyRiskSignals:
      properties:
        address:
          $ref: '#/components/schemas/AddressSignal'
        capital:
          $ref: '#/components/schemas/CapitalSignal'
        debts:
          $ref: '#/components/schemas/DebtsSignal'
        filings:
          $ref: '#/components/schemas/FilingsSignal'
        knf:
          $ref: '#/components/schemas/KnfSignal'
        krz:
          $ref: '#/components/schemas/KrzSignal'
        pkd:
          $ref: '#/components/schemas/PkdSignal'
        uokik:
          $ref: '#/components/schemas/UokikSignal'
      type: object
      required:
        - address
        - capital
        - debts
        - filings
        - knf
        - krz
        - pkd
        - uokik
      title: CompanyRiskSignals
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AddressSignal:
      properties:
        address_normalized:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Normalized
        companies_at_address:
          type: integer
          title: Companies At Address
        distressed_at_address:
          type: integer
          title: Distressed At Address
        distressed_share:
          type: number
          title: Distressed Share
        baseline_distressed_share:
          type: number
          title: Baseline Distressed Share
          default: 0.076
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flags:
          items:
            type: string
          type: array
          title: Flags
        sample:
          items:
            $ref: '#/components/schemas/ColocatedCompany'
          type: array
          title: Sample
        sample_offset:
          type: integer
          title: Sample Offset
          default: 0
        sample_has_more:
          type: boolean
          title: Sample Has More
          default: false
      type: object
      required:
        - address_normalized
        - companies_at_address
        - distressed_at_address
        - distressed_share
        - level
        - flags
        - sample
      title: AddressSignal
    CapitalSignal:
      properties:
        applicable:
          type: boolean
          title: Applicable
        share_capital:
          anyOf:
            - type: number
            - type: 'null'
          title: Share Capital
        revenue:
          anyOf:
            - type: number
            - type: 'null'
          title: Revenue
        revenue_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Revenue Year
        years:
          items:
            $ref: '#/components/schemas/CapitalYear'
          type: array
          title: Years
          default: []
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flags:
          items:
            type: string
          type: array
          title: Flags
      type: object
      required:
        - applicable
        - level
        - flags
      title: CapitalSignal
    DebtsSignal:
      properties:
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flags:
          items:
            type: string
          type: array
          title: Flags
        headline:
          type: string
          title: Headline
        open_arrears_count:
          type: integer
          title: Open Arrears Count
          default: 0
        open_arrears_total:
          anyOf:
            - type: number
            - type: 'null'
          title: Open Arrears Total
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        public_arrears:
          items:
            $ref: '#/components/schemas/PublicArrear'
          type: array
          title: Public Arrears
          default: []
        creditor_claims:
          items:
            $ref: '#/components/schemas/CreditorClaim'
          type: array
          title: Creditor Claims
          default: []
        discontinued_executions:
          items:
            $ref: '#/components/schemas/DiscontinuedExecution'
          type: array
          title: Discontinued Executions
          default: []
        insolvency_entries:
          items:
            $ref: '#/components/schemas/InsolvencyEntry'
          type: array
          title: Insolvency Entries
          default: []
      type: object
      required:
        - level
        - flags
        - headline
      title: DebtsSignal
    FilingsSignal:
      properties:
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flags:
          items:
            type: string
          type: array
          title: Flags
        headline:
          type: string
          title: Headline
        latest_period_end:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Latest Period End
        latest_filing_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Latest Filing Date
        latest_deadline:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Latest Deadline
        latest_delay_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Latest Delay Days
        avg_delay_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Avg Delay Days
        missing_years:
          items:
            type: integer
          type: array
          title: Missing Years
          default: []
        overdue_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Overdue Days
        years:
          items:
            $ref: '#/components/schemas/FilingYear'
          type: array
          title: Years
          default: []
      type: object
      required:
        - level
        - flags
        - headline
      title: FilingsSignal
    KnfSignal:
      properties:
        active_count:
          type: integer
          title: Active Count
        announcement_count:
          type: integer
          title: Announcement Count
          default: 0
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flags:
          items:
            type: string
          type: array
          title: Flags
          default: []
        warnings:
          items:
            $ref: '#/components/schemas/KnfWarningItem'
          type: array
          title: Warnings
        announcements:
          items:
            $ref: '#/components/schemas/KnfAnnouncementItem'
          type: array
          title: Announcements
          default: []
      type: object
      required:
        - active_count
        - level
        - warnings
      title: KnfSignal
    KrzSignal:
      properties:
        case_count:
          type: integer
          title: Case Count
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        cases:
          items:
            $ref: '#/components/schemas/KrzCaseRef'
          type: array
          title: Cases
      type: object
      required:
        - case_count
        - level
        - cases
      title: KrzSignal
    PkdSignal:
      properties:
        main_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Main Code
        main_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Main Description
        other_count:
          type: integer
          title: Other Count
          default: 0
        matches:
          items:
            $ref: '#/components/schemas/PkdActivity'
          type: array
          title: Matches
          default: []
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flags:
          items:
            type: string
          type: array
          title: Flags
      type: object
      required:
        - level
        - flags
      title: PkdSignal
    UokikSignal:
      properties:
        count:
          type: integer
          title: Count
        concentration_count:
          type: integer
          title: Concentration Count
          default: 0
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
        flags:
          items:
            type: string
          type: array
          title: Flags
          default: []
        decisions:
          items:
            $ref: '#/components/schemas/UokikDecisionItem'
          type: array
          title: Decisions
        concentrations:
          items:
            $ref: '#/components/schemas/UokikConcentrationItem'
          type: array
          title: Concentrations
          default: []
      type: object
      required:
        - count
        - level
        - decisions
      title: UokikSignal
    ColocatedCompany:
      properties:
        krs:
          type: string
          title: Krs
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
      type: object
      required:
        - krs
        - name
        - status
      title: ColocatedCompany
    CapitalYear:
      properties:
        year:
          type: integer
          title: Year
        revenue:
          type: number
          title: Revenue
        ratio:
          anyOf:
            - type: number
            - type: 'null'
          title: Ratio
        level:
          type: string
          enum:
            - none
            - info
            - elevated
          title: Level
      type: object
      required:
        - year
        - revenue
        - ratio
        - level
      title: CapitalYear
    PublicArrear:
      properties:
        creditor_type:
          type: string
          title: Creditor Type
        creditor_type_label:
          type: string
          title: Creditor Type Label
        kind_raw:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind Raw
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        open:
          type: boolean
          title: Open
        title_organ:
          anyOf:
            - type: string
            - type: 'null'
          title: Title Organ
        title_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Title Number
        execution_started:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Execution Started
        execution_ended:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Execution Ended
        execution_end_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Execution End Reason
      type: object
      required:
        - creditor_type
        - creditor_type_label
        - kind_raw
        - amount
        - currency
        - open
        - title_organ
        - title_number
        - execution_started
        - execution_ended
        - execution_end_reason
      title: PublicArrear
    CreditorClaim:
      properties:
        creditors:
          items:
            type: string
          type: array
          title: Creditors
        amount_or_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Amount Or Description
        organ:
          anyOf:
            - type: string
            - type: 'null'
          title: Organ
        case_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Number
        title_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Title Date
      type: object
      required:
        - creditors
        - amount_or_description
        - organ
        - case_number
        - title_date
      title: CreditorClaim
    DiscontinuedExecution:
      properties:
        organ:
          anyOf:
            - type: string
            - type: 'null'
          title: Organ
        case_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Number
        decided_on:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Decided On
      type: object
      required:
        - organ
        - case_number
        - decided_on
      title: DiscontinuedExecution
    InsolvencyEntry:
      properties:
        kind:
          type: string
          title: Kind
        kind_label:
          type: string
          title: Kind Label
        organ:
          anyOf:
            - type: string
            - type: 'null'
          title: Organ
        case_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Number
        decided_on:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Decided On
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - kind
        - kind_label
        - organ
        - case_number
        - decided_on
        - description
      title: InsolvencyEntry
    FilingYear:
      properties:
        year:
          type: integer
          title: Year
        period_end:
          type: string
          format: date
          title: Period End
        filing_date:
          type: string
          format: date
          title: Filing Date
        deadline:
          type: string
          format: date
          title: Deadline
        delay_days:
          type: integer
          title: Delay Days
      type: object
      required:
        - year
        - period_end
        - filing_date
        - deadline
        - delay_days
      title: FilingYear
    KnfWarningItem:
      properties:
        id:
          type: string
          title: Id
        legal_basis:
          type: string
          title: Legal Basis
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
        entity_name:
          type: string
          title: Entity Name
        identifier_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Identifier Text
        prokuratura:
          anyOf:
            - type: string
            - type: 'null'
          title: Prokuratura
        court_rulings:
          anyOf:
            - type: string
            - type: 'null'
          title: Court Rulings
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        first_seen_at:
          type: string
          format: date-time
          title: First Seen At
        entities:
          items:
            $ref: '#/components/schemas/KnfWarningEntityItem'
          type: array
          title: Entities
      type: object
      required:
        - id
        - legal_basis
        - entity_name
        - first_seen_at
        - entities
      title: KnfWarningItem
    KnfAnnouncementItem:
      properties:
        article_id:
          type: string
          title: Article Id
        url:
          type: string
          title: Url
        title:
          type: string
          title: Title
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        html:
          anyOf:
            - type: string
            - type: 'null'
          title: Html
        update_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Update Date
        entities:
          items:
            $ref: '#/components/schemas/KnfAnnouncementEntityItem'
          type: array
          title: Entities
          default: []
      type: object
      required:
        - article_id
        - url
        - title
      title: KnfAnnouncementItem
    KrzCaseRef:
      properties:
        signature:
          anyOf:
            - type: string
            - type: 'null'
          title: Signature
        case_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Type
        case_type_label:
          type: string
          title: Case Type Label
        latest_date:
          type: string
          format: date
          title: Latest Date
        announcements:
          type: integer
          title: Announcements
      type: object
      required:
        - signature
        - case_type
        - case_type_label
        - latest_date
        - announcements
      title: KrzCaseRef
    PkdActivity:
      properties:
        code:
          type: string
          title: Code
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        main:
          type: boolean
          title: Main
        tier:
          type: string
          title: Tier
        tier_label:
          type: string
          title: Tier Label
      type: object
      required:
        - code
        - description
        - main
        - tier
        - tier_label
      title: PkdActivity
    UokikDecisionItem:
      properties:
        id:
          type: string
          title: Id
        decision_number:
          type: string
          title: Decision Number
        decision_date:
          type: string
          format: date
          title: Decision Date
        signature:
          anyOf:
            - type: string
            - type: 'null'
          title: Signature
        practice_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Practice Type
        penalty:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Penalty
        industry:
          anyOf:
            - type: string
            - type: 'null'
          title: Industry
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        appeal:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Appeal
        court_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Court Status
        court_outcome:
          anyOf:
            - type: string
            - type: 'null'
          title: Court Outcome
        participants:
          items:
            $ref: '#/components/schemas/UokikDecisionParticipantItem'
          type: array
          title: Participants
        files:
          items:
            $ref: '#/components/schemas/UokikDecisionFileItem'
          type: array
          title: Files
        rulings:
          items:
            $ref: '#/components/schemas/UokikDecisionRulingItem'
          type: array
          title: Rulings
      type: object
      required:
        - id
        - decision_number
        - decision_date
        - participants
        - files
        - rulings
      title: UokikDecisionItem
    UokikConcentrationItem:
      properties:
        slug:
          type: string
          title: Slug
        url:
          type: string
          title: Url
        title:
          type: string
          title: Title
        posted_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Posted Date
        application_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Application Date
        case_signature:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Signature
        applicant:
          anyOf:
            - type: string
            - type: 'null'
          title: Applicant
        scope:
          anyOf:
            - type: string
            - type: 'null'
          title: Scope
        case_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Status
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        entities:
          items:
            $ref: '#/components/schemas/UokikConcentrationEntityItem'
          type: array
          title: Entities
          default: []
      type: object
      required:
        - slug
        - url
        - title
      title: UokikConcentrationItem
    KnfWarningEntityItem:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Krs
        nip:
          anyOf:
            - type: string
            - type: 'null'
          title: Nip
        regon:
          anyOf:
            - type: string
            - type: 'null'
          title: Regon
      type: object
      title: KnfWarningEntityItem
    KnfAnnouncementEntityItem:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Krs
        nip:
          anyOf:
            - type: string
            - type: 'null'
          title: Nip
        company_krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Krs
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
        match_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Match Source
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
      type: object
      title: KnfAnnouncementEntityItem
    UokikDecisionParticipantItem:
      properties:
        name:
          type: string
          title: Name
        krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Krs
        nip:
          anyOf:
            - type: string
            - type: 'null'
          title: Nip
        company_krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Krs
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
        match_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Match Source
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
      type: object
      required:
        - name
      title: UokikDecisionParticipantItem
    UokikDecisionFileItem:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        field:
          type: string
          title: Field
        file_name:
          type: string
          title: File Name
        url:
          type: string
          title: Url
        stored:
          type: boolean
          title: Stored
        byte_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Byte Size
      type: object
      required:
        - id
        - field
        - file_name
        - url
        - stored
      title: UokikDecisionFileItem
    UokikDecisionRulingItem:
      properties:
        signature:
          type: string
          title: Signature
        ruling_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Ruling Date
        subject:
          anyOf:
            - type: string
            - type: 'null'
          title: Subject
      type: object
      required:
        - signature
      title: UokikDecisionRulingItem
    UokikConcentrationEntityItem:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Krs
        nip:
          anyOf:
            - type: string
            - type: 'null'
          title: Nip
        company_krs:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Krs
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
        match_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Match Source
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
      type: object
      title: UokikConcentrationEntityItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````